Subject: Re: [ietf-dkim] [Editorial Errata Reported] RFC6376 (5260)

From: "John R. Levine" <[email-masked]>
Date: 8 Feb 2018 15:10:09 -0500

>  NEW
>
>    Header fields are lines beginning with a field name, followed by a
>    colon (":"), followed by a field body, and terminated by CRLF.  A
>    field name MUST be composed of printable US-ASCII characters (i.e.,
>    characters that have values between 33 and 126, inclusive), except
>    colon.  In all cases, field names are interpreted as case-insensitive
>    strings, so that, for example, "Subject", "SUBJECT", and "SuBjEcT"
>    are considered to be the same field name.

Seems reasonable.  While we're picking nits, RFC 3864 says you can't register a 
field with a dot in it, might be worth a mention.

Also, according to the spec, #)*%;' is a valid field name, although I observe 
that every name in the field name registries is LDH.  Would it be worth a note 
saying that LDH names are likely to interoperate better?

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

_______________________________________________
NOTE WELL: This list operates according to
http://mipassoc.org/dkim/ietf-list-rules.html